# $Revision: 1.7 $, $Date: 2001/07/06 16:42:03 $
Summary:	FlashPIX OpenSource Toolkit
Summary(pl):	Biblioteka do obrbki obrazkw FlashPIX
Name:		fpx
Version:	1.2.0
Release:	3
License:	Distributable (see COPYING for details)
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(fr):	Librairies
Group(pl):	Biblioteki
# Strange... [URL] says you can order it (for money) and doesn't contain any
# link, but sources can be freely redistributed. Can be found on any IM mirror.
Source0:	ftp://ftp.simplesystems.org/pub/ImageMagick/delegates/%{name}-%{version}.tar.gz
Patch0:		%{name}-wchar-conflict.patch
Patch1:		%{name}-swap.patch
Patch2:		%{name}-statfs.patch
Patch3:		%{name}-shared.patch
Patch4:		%{name}-nolibrt.patch
URL:		http://www.digitalimaging.org/i_flashpix.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gcc-c++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FlashPIX OpenSource Toolkit is based on source obtained from the
Digital Imaging Group Inc. and includes a sample FlashPIX library
implementation contributed by Eastman Kodak Company.

%description -l pl
FlashPIX OpenSource Toolkit jest bazowany na rdach uzyskanych od
Digital Imaging Group i zawiera przykadow implementacj biblioteki
FlashPIX, do ktrej przyczyni si Eastman Kodak Company.

%package devel
Summary:	FlashPIX header file and documentation
Summary(pl):	Plik nagwkowy i dokumentacja do FlashPIX
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}

%description devel
FlashPIX header files and programmer's documentation.

%description devel -l pl
Plik nagwkowy potrzebny do kompilowania programw korzystajcych z
biblioteki FlashPIX oraz dokumentacja do tej biblioteki.

%package static
Summary:	FlashPIX static library
Summary(pl):	Statyczna biblioteka FlashPIX
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name}-devel = %{version}

%description static
Static version of FlashPIX library.

%description static -l pl
Statyczna wersja biblioteki FlashPIX.

%prep
%setup -q -n lib%{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
mv -f oless/h/wchar.h oless/h/owchar.h

%build
rm -f missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf AUTHORS COPYING ChangeLog NEWS README doc/readme.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.pdf doc/*.gz
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: fpx.spec,v $
Revision 1.7  2001/07/06 16:42:03  kloczek
- release 3: rebuild all ac/am/lt files.

Revision 1.6  2001/07/06 12:36:19  dobrek
- rm -f ltconfig ltmain.sh; libtoolize --copy --force added

Revision 1.5  2001/04/04 19:49:27  kloczek
i- release 2.

Revision 1.4  2001/04/04 19:03:12  kloczek
- cosmetics.

Revision 1.3  2001/03/27 17:27:47  qboosh
- added missing header file
- nolibrt - don't use librt (fixes one "FIXME")

Revision 1.2  2001/03/26 22:54:00  kloczek
- cosmetics.

Revision 1.1  2001/03/26 16:22:00  qboosh
- from scratch - next library ImageMagick can use
